commit:     efa8e67d2f457c4334811bf21353870dc661b822
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Fri Mar 19 07:29:56 2021 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Fri Mar 19 07:36:28 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=efa8e67d

dev-python/pydocstyle: Bump to 6.0.0

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/pydocstyle/Manifest                |  1 +
 dev-python/pydocstyle/pydocstyle-6.0.0.ebuild | 30 +++++++++++++++++++++++++++
 2 files changed, 31 insertions(+)

diff --git a/dev-python/pydocstyle/Manifest b/dev-python/pydocstyle/Manifest
index def81dace0d..b71df400b9a 100644
--- a/dev-python/pydocstyle/Manifest
+++ b/dev-python/pydocstyle/Manifest
@@ -1 +1,2 @@
 DIST pydocstyle-5.1.1.tar.gz 70759 BLAKE2B 
3cdb519d7f9459a201c9b7bc3002e69dae76b79758b155198b3101c6817c66db01616723e789dd8105d0339d6163fec02ab50db2370b13d3a8d1c5a17ecded6c
 SHA512 
70c7408dfa4c8e54a3abf0548a9af26a7ad7ee0bb76f3a41bf6f2297ce09c13c03ab5e066b1b15404ba6390ddfcacbc5e199d8b73ee74e3b184759d88c8b2a51
+DIST pydocstyle-6.0.0.tar.gz 72143 BLAKE2B 
1036a5eab38a38bda0f98371f7e4094248cf5057a9afd8743a478f153a5f06feab6b3e7d6be031615b5e88c388786f59a0619f774f492e40a722f39973051d5b
 SHA512 
609a10307aa24513f476ef639771fc095fe7a65ffd8d530fad02886369c62969c69a5134fd0ec79a1e07d1b6cb8f920c3478db546c26aefb0e45771777c02a0b

diff --git a/dev-python/pydocstyle/pydocstyle-6.0.0.ebuild 
b/dev-python/pydocstyle/pydocstyle-6.0.0.ebuild
new file mode 100644
index 00000000000..98022d2d02b
--- /dev/null
+++ b/dev-python/pydocstyle/pydocstyle-6.0.0.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( pypy3 python3_{7..9} )
+DISTUTILS_USE_SETUPTOOLS=rdepend
+
+inherit distutils-r1
+
+DESCRIPTION="Python docstring style checker"
+HOMEPAGE="https://github.com/PyCQA/pydocstyle/";
+SRC_URI="https://github.com/PyCQA/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~x64-macos"
+
+RDEPEND="dev-python/snowballstemmer[${PYTHON_USEDEP}]"
+
+distutils_enable_tests --install pytest
+# Requires network to lookup github issues
+#distutils_enable_sphinx docs dev-python/sphinx_rtd_theme 
dev-python/sphinxcontrib-issuetracker
+
+src_prepare() {
+       # no, seriously, you don't need to install it yourself
+       sed -i -e '/pip install/d' src/tests/test_integration.py || die
+
+       distutils-r1_src_prepare
+}

Reply via email to